# Method: groups.list

Lists the `Group` resources under a customer or namespace.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1/groups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource under which to list all `Group` resources. Must be of the form `identitysources/{identity_source}` for external- identity-mapped groups or `customers/{customer_id}` for Google Groups. The `customer_id` must begin with "C" (for example, 'C046psxkn'). [Find your customer ID.](https://support.google.com/cloudidentity/answer/10070793) |
| `view` | ``enum (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/View`)`` The level of detail to be returned. If unspecified, defaults to `View.BASIC`. |
| `pageSize` | `integer` The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `View.BASIC` and to 50 for `View.FULL`. Must not be greater than 1000 for `View.BASIC` or 500 for `View.FULL`. |
| `pageToken` | `string` The `next_page_token` value returned from a previous list request, if any. |

### Request body

The request body must be empty.

### Response body

Response message for groups.list operation.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "groups": [ { object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups#Group`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `groups[]` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups#Group`)`` Groups returned in response to list request. The results are not sorted. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results available for listing. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups.readonly`
- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).